package com.device.comm.DGMS.algorithm;

import java.io.Serializable;
import java.util.Date;

public class IValue
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  private Double I0;
  private Double I1;
  private Double I2;
  private Double I3;
  private Double I4;
  private int bgCurrent;
  private Double k;
  private Double rf;
  private Double current;
  private Date currentTime;
  private Double bg;
  private Date rfTime;
  
  public Date getRfTime()
  {
    return this.rfTime;
  }
  
  public void setRfTime(Date rfTime)
  {
    this.rfTime = rfTime;
  }
  
  public Double getBg()
  {
    return this.bg;
  }
  
  public void setBg(Double bg)
  {
    this.bg = bg;
  }
  
  public IValue(Date currentTime, Double current)
  {
    this.current = current;
    this.currentTime = currentTime;
  }
  
  public Double getI0()
  {
    return this.I0;
  }
  
  public void setI0(Double i0)
  {
    this.I0 = i0;
  }
  
  public Double getI1()
  {
    return this.I1;
  }
  
  public void setI1(Double i1)
  {
    this.I1 = i1;
  }
  
  public Double getI2()
  {
    return this.I2;
  }
  
  public void setI2(Double i2)
  {
    this.I2 = i2;
  }
  
  public Double getI3()
  {
    return this.I3;
  }
  
  public void setI3(Double i3)
  {
    this.I3 = i3;
  }
  
  public Double getI4()
  {
    return this.I4;
  }
  
  public void setI4(Double i4)
  {
    this.I4 = i4;
  }
  
  public int getBgCurrent()
  {
    return this.bgCurrent;
  }
  
  public void setBgCurrent(int bg)
  {
    this.bgCurrent = bg;
  }
  
  public Double getK()
  {
    return this.k;
  }
  
  public void setK(Double k)
  {
    this.k = k;
  }
  
  public Double getRf()
  {
    return this.rf;
  }
  
  public void setRf(Double rf)
  {
    this.rf = rf;
  }
  
  public Double getCurrent()
  {
    return this.current;
  }
  
  public void setCurrent(Double current)
  {
    this.current = current;
  }
  
  public Date getCurrentTime()
  {
    return this.currentTime;
  }
  
  public void setCurrentTime(Date currentTime)
  {
    this.currentTime = currentTime;
  }
}

